//This file contains the defaults that will be used the first time the MT Pack is
// installed, and also when there is an upgrade. In the case of an upgrade, this file is
// execed first, and then Tribes/config/MTFavouritesPrefs.cs. This way the user will not
// have to reset all of their options etc when there is an upgrade and this file is added
// to

//set any of these to false and the script will not load.
$include::file["mt\\presto\\install.cs"]=false;    //Enable Presto pack support - should be able to use scripts that require the Presto pack without actually installing the Presto pack, different chat menu's blah blah
$include::file["mt\\infoHud.cs"]=true;             //the hud for showing stuff
$include::file["MT\\messagefilter.cs"]=true;       //Spam filter. Blocks out the opposite team during the game, blocks kill taunts etc :o)
$include::file["MT\\showInfo.cs"]=true;            //various bits of information, backpack, mines, grenades etc
$include::file["MT\\Jump.cs"]=true;                //ski jump and mortarjump file. I'll split them up sometime
$include::file["MT\\Weapon_cycle.cs"]=true;        //much better weapon cycling to replace the nextWeapon/prevWeapon
$include::file["mt\\ammo_check.cs"]=true;          //swaps weapon if you've run out of ammo
$include::file["mt\\ShadowWarrior.cs"]=true;       //plays with the chat menu. Might want to turn it off
$include::file["mt\\sniper.cs"]=true;              //alsorts of zoom goodies
$include::file["mt\\backPack.cs"]=true;            //similar to Writers MMB, but a little different
$include::file["mt\\favourites.cs"]=true;          //favourites/loadout/drop groups handler
$include::file["mt\\pilotMode.cs"]=true;           //automatically turns off the jump/jet and fiddles the mouse sensitivity when flying vehicles
$include::file["mt\\ctrlkMine.cs"]=true;           //be a wanker, mine your corpse AND deprive them of a kill
$include::file["mt\\stupid.cs"]=true;              //some silly shit - voice taunts when you grab the flag etc :o)
$include::file["mt\\quickBuys.cs"]=true;           //change what you're wearing/carrying without opening the inventory screen
$include::file["MT\\Tap_throw.cs"]=true;           //tap throw mines and grenades
$include::file["mt\\power_down.cs"]=true;          //announce to the team that the power is out
$include::file["mt\\flagRunnerConfig.cs"]=true;    //ditch stuff when starting your flag run so you don't feed the defenders with stuff.

//the key that the shadow warrior chat will bind to on your chat menu
$mt::shadowWarrior="s";

//These are keys for the quick favourites. When running around shooting, these keys are used
//to preselect which fav will be bought at the invent. In the invent, they will buy the
//relevant favourite if you change your mind (so you don't have to leave the invent, press a
//preset, then go back in - thats a pain in the ass.)
editActionMap("playMap.sae");
bindCommand(keyboard0, make, ".", TO, "mt::toggleDropGroup ();");

editActionMap("actionMap.sae");
bindCommand(keyboard0, make, "f1", TO, "mt::setFavourite (1);");
bindCommand(keyboard0, make, "f2", TO, "mt::setFavourite (2);");
bindCommand(keyboard0, make, "f3", TO, "mt::setFavourite (3);");
bindCommand(keyboard0, make, "f4", TO, "mt::setFavourite (4);");
bindCommand(keyboard0, make, "f5", TO, "mt::setFavourite (5);");
bindCommand(keyboard0, make, "f6", TO, "mt::setFavourite (6);");
bindCommand(keyboard0, make, "f7", TO, "mt::setFavourite (7);");
bindCommand(keyboard0, make, "f8", TO, "mt::setFavourite (8);");
bindCommand(keyboard0, make, "f9", TO, "mt::setFavourite (9);");
bindCommand(keyboard0, make, "f11", TO, "mt::setFavourite (10);");
bindCommand(keyboard0, make, "f12", TO, "mt::setFavourite (11);");
bindCommand(keyboard0, make, control, "f1", TO, "mt::setFavourite (12);");
bindCommand(keyboard0, make, control, "f2", TO, "mt::setFavourite (13);");
bindCommand(keyboard0, make, control, "f3", TO, "mt::setFavourite (14);");
bindCommand(keyboard0, make, control, "f4", TO, "mt::setFavourite (15);");
bindCommand(keyboard0, make, control, "f5", TO, "mt::setFavourite (16);");
bindCommand(keyboard0, make, control, "f6", TO, "mt::setFavourite (17);");
bindCommand(keyboard0, make, control, "f7", TO, "mt::setFavourite (18);");
bindCommand(keyboard0, make, control, "f8", TO, "mt::setFavourite (19);");
bindCommand(keyboard0, make, control, "f9", TO, "mt::setFavourite (20);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (21);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (22);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (23);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (24);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (25);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (26);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (27);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (28);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (29);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (30);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (31);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (32);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (33);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (34);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (35);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (36);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (37);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (38);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (39);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (40);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (41);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (42);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (43);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (44);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (45);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (46);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (47);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (48);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (49);");
//bindCommand(keyboard0, make, "", TO, "mt::setFavourite (50);");


//Drop groups
//layout of the $inventoryDropGroup strings
//   $inventoryDropGroup::[<mod>, <fav#>] = "<amount_item1> <amount_item2> <amount_item3> <item1> <item2> <item3> <weapon>";
//
// <mod> is the mod
// <fav#> is the number of the favourite
// <amount_item1> is how many of <item1> you can buy and throw etc
// <weapon> is the weapon to mount when you leave the invent
//
//Items:
//
// 11, "Blaster"
// 12, "Bullet"
// 13, "Chaingun"
// 14, "Plasma Bolt"
// 15, "Plasma Gun"
// 16, "Grenade Ammo"
// 17, "Grenade Launcher"
// 18, "Mortar Ammo"
// 19, "Mortar"
// 20, "Disc"
// 21, "Disc Launcher"
// 22, "Laser Rifle"
// 23, "Targeting Laser"
// 24, "ELF Gun"
// 25, "Repair Gun"
// 26, "Backpack"
// 27, "Inventory Station"
// 28, "Ammo Station"
// 29, "Energy Pack"
// 30, "Repair Pack"
// 31, "Shield Pack"
// 32, "Sensor Jammer Pack"
// 33, "Motion Sensor"
// 34, "Ammo Pack"
// 35, "Pulse Sensor"
// 36, "Sensor Jammer"
// 37, "Camera"
// 38, "Turret"
// 39, "Repair Kit"
// 40, "Mine"
// 41, "Grenade"
// 42, "Beacon"
// 43, "Repair Patch"

$inventoryDropGroup::[base, 1]  = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 2]  = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 3]  = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 4]  = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 5]  = "5 0 0 30 44 44 15";
$inventoryDropGroup::[base, 6]  = "5 0 0 30 44 44 15";
$inventoryDropGroup::[base, 7]  = "5 0 0 30 44 44 15";
$inventoryDropGroup::[base, 8]  = "5 0 0 30 44 44 15";
$inventoryDropGroup::[base, 9]  = "5 0 0 30 44 44 15";
$inventoryDropGroup::[base, 10] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 11] = "5 3 0 30 38 44 21";
$inventoryDropGroup::[base, 12] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 13] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 14] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 15] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 16] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 17] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 18] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 19] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 20] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 21] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 22] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 23] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 24] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 25] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 26] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 27] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 28] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 29] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 30] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 31] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 32] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 33] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 34] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 35] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 36] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 37] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 38] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 39] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 40] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 41] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 42] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 43] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 44] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 45] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 46] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 47] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 48] = "5 0 0 30 44 44 21";
$inventoryDropGroup::[base, 49] = "5 0 0 30 44 44 21";

$mt::fav[base, drop, 6, message]="Loadout: Heavy assualt~wono";
$mt::fav[base, drop, 7, message]="Loadout: Fatty offense ... attacking external defences~wono";
$mt::fav[base, drop, 8, message]="Loadout: Gen/base defence~wdefend";
$mt::fav[base, drop, 9, message]="Loadout: Deploying inventory station";
$mt::fav[base, drop, 11, message]="Loadout: Turret munkey ... deploying turrets";
$mt::fav[base, drop, 12, message]="Loadout: Offensive sniper~wono";

$inventoryDropGroup::["Insomniax", 1]  = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 2]  = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 3]  = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 4]  = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 5]  = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 6]  = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 7]  = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 8]  = "5 5 5 63 66 64 23";
$inventoryDropGroup::["Insomniax", 9]  = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 10] = "5 5 5 62 66 63 23";
$inventoryDropGroup::["Insomniax", 11] = "5 5 5 64 66 65 23";

$inventoryDropGroup::["Insomniax", 12] = "5 5 0 54 66 77 23";
$inventoryDropGroup::["Insomniax", 18] = "2 0 0 64 77 77 23";
$mt::favIsPortableOnly["Insomniax", 18]=true;

//For quickBuying vehicles. The index number is which fav to preselect, while the 5,6,7 are which vehicle to buy
//only the first 18 are set because I only use 18 favs. To set more, copy and paste the number of extras needed,
//alter the index number to match a fav and the value and you're away
// 5, "Scout"
// 6, "LPC"
// 7, "HPC"

$mt::fav[base, 1, "vehicle"]=5;
$mt::fav[base, 2, "vehicle"]=6;
$mt::fav[base, 3, "vehicle"]=7;
$mt::fav[base, 4, "vehicle"]=5;
$mt::fav[base, 5, "vehicle"]=6;
$mt::fav[base, 6, "vehicle"]=7;
$mt::fav[base, 7, "vehicle"]=5;
$mt::fav[base, 8, "vehicle"]=6;
$mt::fav[base, 9, "vehicle"]=7;
$mt::fav[base, 10, "vehicle"]=5;
$mt::fav[base, 11, "vehicle"]=6;
$mt::fav[base, 12, "vehicle"]=7;
$mt::fav[base, 13, "vehicle"]=5;
$mt::fav[base, 14, "vehicle"]=6;
$mt::fav[base, 15, "vehicle"]=7;
$mt::fav[base, 16, "vehicle"]=5;
$mt::fav[base, 17, "vehicle"]=6;
$mt::fav[base, 18, "vehicle"]=7;

//For insomniax, the vehicles are
// 5, "Scout"
// 6, "LPC"
// 7, "HPC"
// 8, "Firestorm Bomber"
// 9, "Stealth LPC"
$mt::fav["Insomniax", 1, "vehicle"]=5;
$mt::fav["Insomniax", 2, "vehicle"]=6;
$mt::fav["Insomniax", 3, "vehicle"]=7;
$mt::fav["Insomniax", 4, "vehicle"]=8;
$mt::fav["Insomniax", 5, "vehicle"]=9;


//This is used to indicate that that favourite is specifically for portable invents.
//When this fav is preselected, it will not buy and use multiple health kits and it
//will also not drop the stuff on drop groups 1 and 3 ie it will only buy and throw
//stuff defined on drop group 2 for that fav.
//This prevents draining portable invents unnecessarily
$mt::favIsPortableOnly[base, 18]=true;
$mt::favIsPortableOnly[base, 13]=true;

$mt::favOpensInventScreen[base,19]=true;          //opens the inventory screen anyway.
$mt::favOpensInventScreen["Insomniax",19]=true;   //opens the inventory screen anyway.

//the default names for the favourites. These are what appear in the text at the bottom of the screen
$mt::favouriteName[1]="Favourite 1";
$mt::favouriteName[2]="Favourite 2";
$mt::favouriteName[3]="Favourite 3";
$mt::favouriteName[4]="Favourite 4";
$mt::favouriteName[5]="Favourite 5";
$mt::favouriteName[6]="Favourite 6";
$mt::favouriteName[7]="Favourite 7";
$mt::favouriteName[8]="Favourite 8";
$mt::favouriteName[9]="Favourite 9";
$mt::favouriteName[10]="Favourite 10";
$mt::favouriteName[11]="Favourite 11";
$mt::favouriteName[12]="Favourite 12";
$mt::favouriteName[13]="Favourite 13";
$mt::favouriteName[14]="Favourite 14";
$mt::favouriteName[15]="Favourite 15";
$mt::favouriteName[16]="Favourite 16";
$mt::favouriteName[17]="Favourite 17";
$mt::favouriteName[18]="Favourite 18";
$mt::favouriteName[19]="Favourite 19";
$mt::favouriteName[20]="Favourite 10";
$mt::favouriteName[21]="Favourite 11";
$mt::favouriteName[22]="Favourite 12";
$mt::favouriteName[23]="Favourite 13";
$mt::favouriteName[24]="Favourite 14";
$mt::favouriteName[25]="Favourite 15";
$mt::favouriteName[26]="Favourite 16";
$mt::favouriteName[27]="Favourite 17";
$mt::favouriteName[28]="Favourite 18";
$mt::favouriteName[29]="Favourite 19";
$mt::favouriteName[30]="Favourite 10";
$mt::favouriteName[31]="Favourite 11";
$mt::favouriteName[32]="Favourite 12";
$mt::favouriteName[33]="Favourite 13";
$mt::favouriteName[34]="Favourite 14";
$mt::favouriteName[35]="Favourite 15";
$mt::favouriteName[36]="Favourite 16";
$mt::favouriteName[37]="Favourite 17";
$mt::favouriteName[38]="Favourite 18";
$mt::favouriteName[39]="Favourite 19";
$mt::favouriteName[40]="Favourite 10";
$mt::favouriteName[41]="Favourite 11";
$mt::favouriteName[42]="Favourite 12";
$mt::favouriteName[43]="Favourite 13";
$mt::favouriteName[44]="Favourite 14";
$mt::favouriteName[45]="Favourite 15";
$mt::favouriteName[46]="Favourite 16";
$mt::favouriteName[47]="Favourite 17";
$mt::favouriteName[48]="Favourite 18";
$mt::favouriteName[49]="Favourite 19";
$mt::favouriteName[50]="Favourite 50";

//The Quick Buys defaults. Kinda like Writers Fast Favs, but different
//press the queue key and then a number (along the top of the key board, not the keypad)
//this will queue up an item to be bought after your favourite.
//you can use these to swap backpacks, weapons etc etc. Or, if you're already at the invent
//and want to swap something (backpack, weapon blah) you can press one of the number keys
editActionMap ("playMap.sae");
bindCommand (keyboard0, make, "/", TO, "mt::toggleQueueMap();");  //key to queue shit up
$mt::enableQuickBuys=true;            //true = enabled as you'd expect
$mt::quickBuy[base, 1]="Repair Pack";       //quickbuy item. Key is the number 1
$mt::quickBuy[base, 2]="Energy Pack";       //quickbuy item. Key is the number 2
$mt::quickBuy[base, 3]="Shield Pack";       //quickbuy item. Key is the number 3
$mt::quickBuy[base, 4]="Ammo Pack";         //quickbuy item. Key is the number 4
$mt::quickBuy[base, 5]="Beacon";            //quickbuy item. Key is the number 5
$mt::quickBuy[base, 6]="Pulse Sensor";      //quickbuy item. Key is the number 6
$mt::quickBuy[base, 7]="Camera";            //quickbuy item. Key is the number 7
$mt::quickBuy[base, 8]="Inventory Station"; //quickbuy item. Key is the number 8
$mt::quickBuy[base, 9]="Ammo Station";      //quickbuy item. Key is the number 9
$mt::quickBuy[base, 10]="Turret";           //quickbuy item. Key is the number 0
$mt::quickBuy["Insomniax", 1]="Repair Pack";       //quickbuy item. Key is the number 1
$mt::quickBuy["Insomniax", 2]="Energy Pack";       //quickbuy item. Key is the number 2
$mt::quickBuy["Insomniax", 3]="Shield Pack";       //quickbuy item. Key is the number 3
$mt::quickBuy["Insomniax", 4]="Ammo Pack";         //quickbuy item. Key is the number 4
$mt::quickBuy["Insomniax", 5]="Beacon";            //quickbuy item. Key is the number 5
$mt::quickBuy["Insomniax", 6]="Pulse Sensor";      //quickbuy item. Key is the number 6
$mt::quickBuy["Insomniax", 7]="Camera";            //quickbuy item. Key is the number 7
$mt::quickBuy["Insomniax", 8]="Inventory Station"; //quickbuy item. Key is the number 8
$mt::quickBuy["Insomniax", 9]="Ammo Station";      //quickbuy item. Key is the number 9
$mt::quickBuy["Insomniax", 10]="Turret";           //quickbuy item. Key is the number 0

//Mortar jump stuff
editActionMap("actionMap.sae");
bindCommand(keyboard0, make, "numpadenter", TO, "mt::mortarJump();");  //does the mortar jump
bindCommand(keyboard0, make, "numpad+", TO, "mt::mortarJumpCycle();"); //you've got 3 different mortar jumps. 2 normal, 1 mine/mortar. Cycle them with this key
$mt::fireAngle[0]=0.235;           //these are in radians. Don't blame me
$mt::fireAngle[1]=0.235;           //these are in radians. Don't blame me
$mt::fireAngle[2]=0.27;            //these are in radians. Don't blame me
$mt::jumpDelay[0]=2.55;            //seconds
$mt::jumpDelay[1]=2.55;            //seconds
$mt::jumpDelay[2]=2.45;            //seconds
$mt::mineDelay=0.35;               //mine delay for the mine/mortar jump

//These govern how far you throw the grenades or mines when you tap
//the appropriate key. 100 is maximum strength ie 100%
//If $mt::throwMineLoop or $mt::throwGrenadeLoop are set to false,
//you will only throw 1 mine/grenade when you tap the key
$mt::throwGrenadeStrength=60;  //60% for grenades cos otherwise they go up in the air
$mt::throwMineStrength=100;    //100% for mines cos they're heavy
$mt::throwMineLoop=false;      //just throw a single mine - true will throw all
$mt::throwGrenadeLoop=true;    //continually throw grenades until grenade key is tapped again.
$mt::mineBeacon=true;          //hold the mine key down (not tap) and release while looking down and you'll deploy a beacon with the mine you drop
$mt::tapTime=0.15;             //if the key is released within this time, it's deemed as tapped

//Repairing messages - repairGeneral will announce what you have fixed when you've finished
$mt::announce::["generator"]=true;
$mt::announce::["repairGeneral"]=true;
$mt::repairingPower="I'm repairing the power, WATCH MY BACK !!";

//Sniper
//Heres the keybind for decreasing magnification. Also, the default magnifications
//You can't go more than 20x. Make sure $mt::numOfMagnifications matches the number
//of magnifications you want to use. They don't have to be in increasing order either.
//You can do silly shit like 1.5x, 2x. 5x, 2x, 20x, 10x blah. Is stupid though :o)
editActionMap("playMap.sae");
//bindCommand(keyboard0, make, "a", TO, "action::trigger(zoomMagnificationDecPressed);");
//bindCommand(keyboard0, break, "a", TO, "action::trigger(zoomMagnificationDecReleased);");
$mt::magnification::[0]="1.5";       //the different magnifications
$mt::magnification::[1]="2";
$mt::magnification::[2]="3.5";
$mt::magnification::[3]="5";
$mt::magnification::[4]="7.5";
$mt::magnification::[5]="10";
$mt::magnification::[6]="12.5";
$mt::magnification::[7]="15";
$mt::magnification::[8]="17.5";
$mt::magnification::[9]="20";
$sniper::useMagnificationReturn=true; //true=return to a set magnification when zoom released
$sniper::magnification::return=2;    //the index number of the magnification to return to
$mt::numOfMagnifications=10;         //this is how many different magnifications you want to use
$sniper::setReverseFire=true;        //set the sniper rifle to reverse fire ie fires when you release the fire button
$sniper::energyBarX=315;             //top left corner of the energy bar - x coord
$sniper::energyBarY=200;             //top left corner of the energy bar - y coord
$sniper::minSensitivity=40;          //minimum mouse sensitivity percentage when zoomed (this is at your highest set magnification eg 20x)
$sniper::maxSensitivity=75;          //maximum mouse sensitivity percentage when zoomed (this is at you lowest set magnification eg 1.5x)

//PilotMode
$mt::mouseSensMultipier=2;           //mouse sensitivity multiplier for pilot mode ie the mouse sensitivity will be $mt::mouseSensMultipier times higher when piloting a vehicle

//Weapon Cycle
//Have a look up near the top for the numbers
mt::newCycleForWeapon(base, 11, 23);            //attaches to the use blaster button. 1st press mounts the blaster, 2nd the targetting laser
mt::newCycleForWeapon(base, 21, 15, 111);       //attaches to the use disc launcher button. 1st press mounts the dl, 2nd the plasma gun, 3rd throws the blaster away
mt::newCycleForWeapon(base, 19, 17);            //attaches to the use mortar key. 1st press mounts the mortar, 2nd the grenade launcher
mt::newCycleForWeapon(base, 13, 24, 22, 115);   //attaches to the use chaingun key. 1st press mounts the chaingun, 2nd the elf gun, 3rd the laser
mt::newCycleForWeapon("Insomniax", 13);
mt::newCycleForWeapon("Insomniax", 15, 26, 24, 34, 32, 48, 49);
mt::newCycleForWeapon("Insomniax", 17);
mt::newCycleForWeapon("Insomniax", 19);
mt::newCycleForWeapon("Insomniax", 21, 19, 29, 31, 39, 41);
mt::newCycleForWeapon("Insomniax", 23, 17, 113);
mt::newCycleForWeapon("Insomniax", 24);
mt::newCycleForWeapon("Insomniax", 26);

$util::heartbeat=0.2;                //don't fiddle this too much. Pilot mode, reverse fire and a couple of other things rely on this. Any larger and you'll start to notice delays when

$infoHud::mode="onChange";           //possible modes "onChange", "permanent"
$infoHud::show=3;                    //not used if mode is "permanent"
$infoHud::maxChars=120;              //max number of chars per line.

$mt::showWeapon=false;               //show in hud
$mt::showBackpack=true;              //show in hud
$mt::showMines=true;                 //show in hud
$mt::showGrenades=true;              //show in hud
$mt::showHealthKit=true;             //show in hud

editActionMap ("playMap.sae");
bindCommand (keyboard0, make, ";", TO, "filter::showPreviousMessages();");
bindCommand (keyboard0, make, control, ";", TO, "filter::toggleOnOff();");
$filter::otherTeam=true;             //stop general chat messages from showing in chat screen
$filter::killMessage=true;           //filter out all of the kill messages except for the ones involving this player

$mt::mimicWritersMMB=false;          //as it says - this and the $mt::checkBackPack are mutually exclusive
$mt::checkBackPack=true;                     //if you don't have a backpack or it isn't deployable/activatable, this will zoom out to 3rd to show you what you're wearing, then back in to 1st person

$mt::powerOutMessage="** Our power is down **~wneedrep";   //Message for when the power is out.

editActionMap("playMap.sae");
bindCommand(keyboard0, make, control, "x", TO, "mt::announceRunStart();");
$mt::flagRunStartMessage="I'm starting my flag run .... ~wready";
$mt::ditchExcessTime=7;
$mt::ditchItems::[base]="13 12 12 12 12 12 12 12 12 12 12 22 23 40 42";

echo ("-- Executed the default preferences file for the MT Pack --");

// 11, "Blaster"
// 12, "Bullet"
// 13, "Chaingun"
// 14, "Plasma Bolt"
// 15, "Plasma Gun"
// 16, "Grenade Ammo"
// 17, "Grenade Launcher"
// 18, "Mortar Ammo"
// 19, "Mortar"
// 20, "Disc"
// 21, "Disc Launcher"
// 22, "Laser Rifle"
// 23, "Targeting Laser"
// 24, "ELF Gun"
// 25, "Repair Gun"
// 26, "Backpack"
// 27, "Inventory Station"
// 28, "Ammo Station"
// 29, "Energy Pack"
// 30, "Repair Pack"
// 31, "Shield Pack"
// 32, "Sensor Jammer Pack"
// 33, "Motion Sensor"
// 34, "Ammo Pack"
// 35, "Pulse Sensor"
// 36, "Sensor Jammer"
// 37, "Camera"
// 38, "Turret"
// 39, "Repair Kit"
// 40, "Mine"
// 41, "Grenade"
// 42, "Beacon"
// 43, "Repair Patch"

