//===============================================================
//rewrite this one
function mt::cycleWeapons (%weap, %ind)
{
	if (mt::isInPilotMode())
		return;

	%len=$mt::cycleLength[util::currentMod(), %weap];
	%str=$mt::weaponCycle::[util::currentMod(), %weap]@" "@$mt::weaponCycle::[util::currentMod(), %weap];

	for (%i=0;%i<(%len*2-%ind);%i++)
		{
		%nextWeap=getWord (%str, %ind+%i);
		if (%nextWeap>100)
			{ %nextWeap=%dropWeap=%nextWeap-100; }
		if (invent::carryingItem (%nextWeap) && invent::haveAmmo (%nextWeap) && %nextWeap!=getMountedItem(0))
			%i=999;
		else
			%dropWeap=%nextWeap="";
		}

	if (%nextWeap=="")
		return;

	if (%dropWeap)
		{
		event::trigger (eventDismountingWeapon);
		drop (invent::item(%dropWeap));
		$util::checkingWeaponMounting=false;
		schedule ("mt::cycleWeapons ("@%weap@", 0);", 0.2);
		return;
		}
	else
		util::mountWeapon (%nextWeap, %ind);
	return;
}

function mt::cycle (%weap)
{
	if (sniper::isZoomedIn () && invent::isReverseFireWeapon (getMountedItem(0)))
		return;

	%curWeap=getMountedItem(0);
	%ind=$mt::cycleIndex::[%weap, %curWeap];
	if (%ind==-1 || %ind=="")
		%ind=0;
	mt::cycleWeapons (%weap, %ind);
}

function mt::checkForRepairGun ()
{
	if (getMountedItem(0)==invent::getItemType("Repair Gun"))
		{
		event::trigger (eventDismountingWeapon);
		$invent::lastCycle=0;
		nextWeapon();
		}
	action::completed (dropBackPackPressed);
	mt::remountWeapon();
}

function mt::newCycleForWeapon (%mod, %item, %w1, %w2, %w3, %w4, %w5, %w6, %w7, %w8, %w9, %w10)
{
	if (%item=="")
		return;

	%action=$invent::action::[%mod, %item, "press"];

	$mt::weaponCycle::[%mod, %item]=%item;
	$mt::cycleIndex::[%item, %item]=0;
	for (%i=1;%i<=10;%i++)
		{
		if (%w[%i]!="")
			{
			$mt::weaponCycle::[%mod, %item]=$mt::weaponCycle::[%mod, %item]@" "@%w[%i];
			$mt::cycleIndex::[%item, %w[%i]]=%i;
			}
		else
			{
			action::attach (%action, "mt::cycle ("@%item@");");
			action::mute (%action, true);
			$mt::Cycle::[%mod, %item]=-1;
			$mt::cycleLength[%mod, %item]=%i;
			%i=11;
			}
		}
	return;
}

function mt::clearAttachments ()
{
	deleteVariables ("$mt::cycle*");
	deleteVariables ("$mt::weapon*");
	%low=$invent::action::[util::currentMod(), lowest];
	%high=$invent::action::[util::currentMod(), highest];
	for (%i=%low; %i<=%high; %i++)
		{
		%press=$invent::action::[%mod, %i, "press"];
		%release=$invent::action::[%mod, %i, "release"];

		if (%press!="")
			action::clearAllAttached (%press);
		if (%release)
			action::clearAllAttached (%release);
		}
	return;
}

action::attach::pre (dropBackPackPressed, mt::checkForRepairGun);

event::attach (eventEstablishedMod, mt::clearAttachments);