//===============================================================
// The end. Constructs a single string for each favourite,
// storing how many items in each drop group, what items there
// are in each group, the type of group and the weapon to mount
// when leaving the inventory station. Also saves a whole bunch
// of other stuff, mainly from the NewOpts handlers
//===============================================================
function mt::exportMTPackPrefs ()
{

if (isFile("config\\MTFavouritesPrefs.cs"))
	file::delete("config\\MTFavouritesPrefs.cs");

	%mod=util::currentMod();
	for (%i=1;%i<=50;%i++)
		{
		%amounts=%items="";
		for (%j=1;%j<=3;%j++)
			{
			if ($mt::fav[%mod, drop, %i, "amount"@%j]=="")
				$mt::fav[%mod, drop, %i, "amount"@%j]=0;
			%amounts=%amounts@$mt::fav[%mod, drop, %i, "amount"@%j]@" ";
			%items=%items@$mt::fav[%mod, drop, %i, "item"@%j]@" ";
			}
		$inventoryDropGroup::[%mod, %i]=%amounts@%items@$mt::fav[%mod, drop, %i, weapon];
		}

	export ("$inventoryDropGroup::*", "config\\MTPackPrefs.cs", false);
	export ("$mt::favouriteName*", "config\\MTPackPrefs.cs", true);
	export ("$mt::enableQuickBuys", "config\\MTPackPrefs.cs", true);
	export ("$mt::fireAngle*", "config\\MTPackPrefs.cs", true);
	export ("$mt::jump*", "config\\MTPackPrefs.cs", true);
	export ("$mt::enableCombinedJumpJet", "config\\MTPackPrefs.cs", true);
	export ("$mt::enableSki", "config\\MTPackPrefs.cs", true);
	export ("$mt::XCC::*", "config\\MTPackPrefs.cs", true);
	export ("$mt::YCC::*", "config\\MTPackPrefs.cs", true);
	export ("$mt::mineDelay", "config\\MTPackPrefs.cs", true);
	export ("$mt::enableFavsHud", "config\\MTPackPrefs.cs", true);
	export ("$mt::favsOpaqueBG", "config\\MTPackPrefs.cs", true);
	export ("$mt::enableJumpHud", "config\\MTPackPrefs.cs", true);
	export ("$mt::quickBuy*", "config\\MTPackPrefs.cs", true);
	export ("$mt::animate::*", "config\\MTPackPrefs.cs", true);
	export ("$mt::useReticle::*", "config\\MTPackPrefs.cs", true);
	export ("$mt::rangingMark::*", "config\\MTPackPrefs.cs", true);
	export ("$mt::weaponCycle*", "config\\MTPackPrefs.cs", true);
	export ("$mt::cycle*", "config\\MTPackPrefs.cs", true);
	export ("$filter::autoEnable", "config\\MTPackPrefs.cs", true);
	export ("$MTPack::currentVersion", "config\\MTPackPrefs.cs", true);
}

event::attach (eventExit, mt::exportMTPackPrefs);
