//PilotMode.cs by Mental Trousers
include ("mt\\infoHud.cs");

function mt::pilotbwadmincheck()
{
	if($util::isBwadminServer == false)
		mt::pilotmodelegacy(true);
	else if($util::bwadminPilotingInfo == "")
		schedule("mt::pilotbwadmincheck();",0.1);
	else if($util::bwadminPilotingInfo == true)
		mt::pilotmodelegacy(false);
	else if($util::bwadminPilotingInfo == false)
		mt::pilotmodelegacy(true);
	else
		schedule("mt::pilotbwadmincheck();",0.1);
}

function mt::pilotModeOn()
{
	event::trigger (eventPilotModeEnabled);
	senseStack::request("mt\\pilotMode.cs", $NewPrefs::baseSensitivity*$mt::mouseSensMultipier);
	$mt::pilotMode=true;
	return;
}

function mt::pilotModeOff ()
{
	$mt::pilotMode=false;
	event::trigger (eventPilotModeDisabled);
	senseStack::release("mt\\pilotMode.cs");
	return;
}

function mt::pilotmodelegacy(%legacy)
{
	if(%legacy)
		{
		function mt::pilotMode (%weapon)
		{
			//if (%weapon==-1 && mt::notInPilotMode () && mt::ableToGoToPilotMode ())
			if (%weapon==-1 && mt::ableToGoToPilotMode ())
				mt::pilotModeOn();
			else
				mt::pilotModeOff ();
			return;
		}
		//got to get the observer thing right too
		action::attach (dropWeaponPressed, "schedule (\"mt::resetPilotMode();\", 0.2);");
		event::attach (eventClientChangeTeam, mt::checkPlayersTeam);
		event::attach (eventKillTrak, mt::cancelOnPlayedKilled);
		event::attach (eventResetPilotMode, mt::resetPilotMode);
		event::attach (eventDismountingWeapon, mt::dontGoToPilotMode);
		event::attach (eventDontGoToPilotMode, mt::dontGoToPilotMode);
		event::attach (eventCanGoToPilotMode, mt::canGoToPilotMode);
		event::attach (eventWeaponMountConfirmed, mt::canGoToPilotMode);
		//It's wierd to trigger an event off a triggered event, but it makes things easier to read else where :o)
		event::attach (eventBaseInvent, "event::trigger (eventResetPilotMode);");
		event::attach (eventPortableInvent, "event::trigger (eventResetPilotMode);");
		event::attach (eventInventTypeUnkown, "event::trigger (eventResetPilotMode);");
		event::attach (eventWeaponChanged, mt::pilotMode);
		}
	else
		{
		function remotebwadmin::PilotingInfo(%client, %active)
			{
			if (%active)
				mt::pilotModeOn();
			else
				mt::pilotModeOff ();
			return;
			}
		}
}

function mt::resetPilotMode ()
{
	mt::canGoToPilotMode ();
	mt::dontGoToPilotMode ();
	event::trigger (eventPilotModeDisabled);
	return;
}

function mt::isInPilotMode ()
	{ return $mt::pilotMode; }

function mt::notInPilotMode ()
	{ return !$mt::pilotMode; }

function mt::dontGoToPilotMode ()
{
	$mt::canPilotMode=false;
	senseStack::release("mt\\pilotMode.cs");
	return;
}

function  mt::canGoToPilotMode ()
	{ $mt::canPilotMode=true; }

function mt::ableToGoToPilotMode ()
	{ return $mt::canPilotMode; }

function mt::cancelOnPlayedKilled (%killer, %client, %weapon)
{
	if (%client==getManagerId())
		{
		mt::dontGoToPilotMode ();
		schedule ("mt::canGoToPilotMode ();", 0.5);
		}
	return;
}

function mt::checkPlayersTeam (%client, %team)
{
	if (%client==getManagerId() && %team==-1)
	{
		mt::dontGoToPilotMode ();
		mt::resetPilotMode ();
	}
	return;
}

$mt::canPilotMode=true;
event::attach (eventPilotModeVersion, mt::pilotbwadmincheck);
