//new version of station.cs by Mental Trousers
//
//need to put in the quick buys, newopts
//put a check backpack in somewhere

msg::onMatch ("Station Access On", "mt::stationAccessed();");
msg::onMatch ("Station Access Off", "mt::stationDeactivated();");
msg::onMatch ("Command Access On", "event::trigger(eventCommandStationAccessed);");
msg::onMatch ("Command Access Off", "event::trigger(eventCommandStationDeactivated);");

event::attach (eventGuiOpen, mt::checkInventType);
event::attach (eventGuiClose, mt::guiClosed);
event::attach (eventEnterStation, "$mt::checkStationType=true;mt::setCheckWeaponMountedTrue ();mt::checkForWeaponDismount();");
event::attach (eventExitStation, "$mt::checkStationType=false;");
event::attach (eventBaseInvent, "mt::turnAround (eventBaseInvent);mt::haltWeaponMountCheck();");
event::attach (eventPortableInvent, "mt::turnAround (eventPortableInvent);mt::haltWeaponMountCheck();");
event::attach (eventVehicleStation, "mt::turnAround (eventVehicleStation);mt::haltWeaponMountCheck();");
event::attach (eventInventTypeUnkown, "mt::turnAround (eventInventTypeUnkown);mt::haltWeaponMountCheck();");

Event::detach(eventClientMessage, Inventory::onClientMessage);

function mt::guiClosed(%gui)
{
	if (%gui=="CmdInventoryGui")
		$mt::inventGuiOpen=false;
	return;
}

function mt::stationAccessed()
	{ event::trigger (eventEnterStation); }

function mt::stationDeactivated()
{
	cursorOff (mainWindow);
	event::Trigger(eventExitStation);
	return;
}

function mt::checkInventType (%gui)
	{ schedule ("mt::checkInventType_ ("@%gui@");", 0.2); }

function mt::checkInventType_ (%gui)
{
	if (%gui=="CmdInventoryGui")
		{
		$mt::inventGuiOpen=true;
		if ($mt::checkStationType)
			{
			%invList=cmdInventory::getVisibleSet(BuyList);
			%first=getWord (%invList, 0);
			event::trigger (mt::getStationEvent(%first));
			}
		}
	return;
}

function mt::getStationEvent(%first)
	{ return $mt::stations[util::currentMod(), %first]; }

function mt::turnAround (%event)
{
	if (%event=="" || $mt::inventGuiOpen)
		return;

	$mt::checkStationType=false;
	%turnAround=mt::doTurnAtStation (%event);
	if (%turnAround)
		{
		postAction (2048, IDACTION_YAW, 0.3);
		schedule ("postAction (2048, IDACTION_YAW, 0.3);", 0.1);
		schedule ("postAction (2048, IDACTION_YAW, 0.3);", 0.2);
		}
	return;
}

function mt::doTurnAtStation (%event)
	{ return $mt::stations[util::currentMod(), %event]; }

function mt::haltWeaponMountCheck()
	{ $mt::haltWeaponMountCheck=false; }

function mt::weaponMountCheck()
	{ return $mt::haltWeaponMountCheck; }

function mt::setCheckWeaponMountedTrue ()
	{ $mt::haltWeaponMountCheck=true; }

function mt::checkForWeaponDismount()
{
	if (mt::weaponMountCheck())
		if (getMountedItem(0)!=-1)
			{ schedule ("mt::checkForWeaponDismount();", 0.1); }
		else
			event::trigger (mt::getStationEvent("-1"));
	return;
}

function mt::setStationsArrays(%mod, %firstItem, %event, %turnAround)
{
	$mt::stations[%mod, %firstItem]=%event;
	$mt::stations[%mod, %event]=%turnAround;
	return;
}
