include ("mt\\infoHud.cs");

function remoteLMSG(%cl, %wav)
{
//	if (client::getTeam (%cl)==client::getTeam (getManagerId()))
		playVoice(%cl, %wav);
//	else
//		infoHud::update ("general", "Blocked the clown");
}

function remotePlayAnimWav(%cl, %anim, %wav)
{
	remotePlayAnim(%cl, %anim);
//	if (client::getTeam (%cl)==client::getTeam (getManagerId()))
		playVoice(%cl, %wav);
//	else
//		infoHud::update ("general", "Blocked the clown");
}

function filter::init ()
{
	for (%i=0;%i<40;%i++)
		{
		$filter::line[%i, "forward"]=%i+1;
		$filter::line[%i, "back"]=%i-1;
		}
	$filter::line[0, "back"]=39;
	$filter::line[39, "forward"]=0;
	infoHud::addNew ("filter", "Filter", "Off", 12);
	return;
}

function filter::killMessage (%killer, %dead)
{
	%client=getManagerId();
	if (%killer==%client || %dead==%client || !$filter::killMessage)
		$filter::return=true;
	else
		$filter::return="mute";
	return;
}

function filter::killMessageReturn ()
	{ return $filter::return; }

function filter::onClientMessage (%client, %msg)
{
	if (%client==0 || !$filter::on)
		return;

	%myTeam=client::getTeam(getManagerId());
	if (client::getTeam(%client)==%myTeam || %client==getManagerId() || %myTeam==-1)
		return;

	$filter::cur=$filter::line[$filter::cur, "forward"];
	$filter::line[$filter::cur, "text"]="<f3>"@client::getName(%client)@":<f1> "@%msg;
	return "mute";
}

function filter::activate ()
{
	$filter::on=$filter::otherTeam;
	if ($filter::on)
		infoHud::update ("filter", "On");
	else
		infoHud::update ("filter", "Off");
}

function filter::deactivate ()
{
	$filter::on=false;
	infoHud::update ("filter", "Off");
}

function filter::toggleOnOff ()
{
	if ($filter::on)
		{
		$filter::autoEnable=false;
		filter::deactivate ();
		}
	else
		{
		$filter::autoEnable=$filter::otherTeam=$filter::on=true;
		infoHud::update ("filter", "On");
		}
	return;
}

function filter::getCells (%dir)
{
	%pos=$filter::tempPos;
	%text="\n ";
	for (%i=0; %i<5; %i++)
		{
		%temp=$filter::line[%pos, "text"];
		if (%temp!="")
			%text=%text@%temp@"\n ";
		else
			%i=5;
		%pos=$filter::line[%pos, %dir];
		if (%pos==$filter::start)
			%i=5;
		}
	$filter::tempPos=%pos;
	$filter::showing=$filter::stayVis=true;
	infoHud::update ("general", %text);
	return;
}

function filter::scrollPrev()
{
	if ($filter::tempPos==$filter::start)
		return;
	filter::getCells ("back");
	return;
}

function filter::scrollNext()
{
	if ($filter::tempPos==$filter::start)
		return;
	filter::getCells ("forward");
	return;
}

function filter::showPreviousMessages()
{
	if ($filter::showing)
		{
		$filter::showing=$filter::stayVis=false;
		schedule::cancel ("infoHud::clearGeneral();");
		remoteBp (2048, "");
		popActionMap ("MTInfohudMap.sae");
		$filter::start=$filter::tempPos="";
		return;
		}
	else
		{
		pushActionMap ("MTInfohudMap.sae");
		$filter::start=$filter::tempPos=$filter::cur;
		filter::getCells ("back");
		}
	return;
}

$filter::cur=0;

event::attach (eventMatchStarted, "if ($filter::autoEnable) filter::activate();");
event::attach (eventClientMessage, filter::onClientMessage);
event::attach (eventChangeMission, filter::deactivate);
event::attach (eventClientMessagePreParse, "$filter::return=\"notready\";");
event::attach (eventKillTrak, filter::killMessage);
event::attach (eventClientMessagePostParse, filter::killMessageReturn);

filter::init ();
