mt::setStationsArrays(base, "-1", eventInventTypeUnkown, true);
mt::setStationsArrays(base, 2, eventBaseInvent, true);
mt::setStationsArrays(base, 5, eventVehicleStation, false);
mt::setStationsArrays(base, 11, eventPortableInvent, true);

invent::newItem (base, 0, "Flag", "", "2 3 4", false);
invent::newItem (base, 1, "Race Flag", "", "2 3 4", false);
invent::newItem (base, 2, "Light Armor", "", "2 3 4", false);
invent::newItem (base, 3, "Medium Armor", "", "2 3 4", false);
invent::newItem (base, 4, "Heavy Armor", "", "2 3 4", false);
invent::newItem (base, 5, "Scout", "", "2 3 4", false);
invent::newItem (base, 6, "LPC", "", "2 3 4", false);
invent::newItem (base, 7, "HPC", "", "2 3 4", false);
invent::newItem (base, 8, "Weapon", "", "2 3 4", false);
invent::newItem (base, 9, "Tool", "", "2 3 4", false);
invent::newItem (base, 10, "Ammo", "", "2 3 4", false);

invent::newItem (base, 11, "Blaster", "", "2 3 4", false);
invent::newItem (base, 12, "Bullet", "", "2 3 4", false);
invent::newItem (base, 13, "Chaingun", "Bullet", "2 3 4", false);
invent::newItem (base, 14, "Plasma Bolt", "", "2 3 4", false);
invent::newItem (base, 15, "Plasma Gun", "Plasma Bolt", "2 3 4", false);
invent::newItem (base, 16, "Grenade Ammo", "", "2 3 4", false);
invent::newItem (base, 17, "Grenade Launcher", "Grenade Ammo", "2 3 4", false);
invent::newItem (base, 18, "Mortar Ammo", "", "2 3 4", false);
invent::newItem (base, 19, "Mortar", "Mortar Ammo", "4", false);
invent::newItem (base, 20, "Disc", "", "2 3 4", false);
invent::newItem (base, 21, "Disc Launcher", "Disc", "2 3 4", false);
invent::newItem (base, 22, "Laser Rifle", "", "2", false);
invent::newItem (base, 23, "Targeting Laser", "", "2 3 4", false);
invent::newItem (base, 24, "ELF Gun", "", "2 3 4", false);
invent::newItem (base, 25, "Repair Gun", "", "2 3 4", false);
invent::newItem (base, 26, "Backpack", "", "2 3 4", false);
invent::newItem (base, 27, "Inventory Station", "", "3 4", true);
invent::newItem (base, 28, "Ammo Station", "", "3 4", true);
invent::newItem (base, 29, "Energy Pack", "", "2 3 4", false);
invent::newItem (base, 30, "Repair Pack", "", "2 3 4", true);
invent::newItem (base, 31, "Shield Pack", "", "2 3 4", true);
invent::newItem (base, 32, "Sensor Jammer Pack", "", "2 3 4", true);
invent::newItem (base, 33, "Motion Sensor", "", "2 3 4", true);
invent::newItem (base, 34, "Ammo Pack", "", "2 3 4", false);
invent::newItem (base, 35, "Pulse Sensor", "", "2 3 4", true);
invent::newItem (base, 36, "Sensor Jammer", "", "2 3 4", true);
invent::newItem (base, 37, "Camera", "", "2 3 4", true);
invent::newItem (base, 38, "Turret", "", "3 4", true);
invent::newItem (base, 39, "Repair Kit", "", "2 3 4", false);
invent::newItem (base, 40, "Mine", "", "2 3 4", false);
invent::newItem (base, 41, "Grenade", "", "2 3 4", false);
invent::newItem (base, 42, "Beacon", "", "2 3 4", false);
invent::newItem (base, 43, "Repair Patch", "", "2 3 4", false);

invent::newNonInventItem (base, 44, "NONE", "2 3 4", "");
invent::newNonInventItem (base, 45, "Favourite", "2 3 4", "");

invent::newDelayAfterBuy (base, 2, 0.2);
invent::newDelayAfterBuy (base, 3, 0.2);
invent::newDelayAfterBuy (base, 4, 0.2);
invent::newDelayAfterBuy (base, 19, 0.4);
invent::newDelayAfterBuy (base, 22, 0.4);
invent::newDelayAfterBuy (base, 44, 1.0);

invent::newSellItemsFirst (base, 11, "11 13 15 17 19 21 22 24");
invent::newSellItemsFirst (base, 13, "11 13 15 17 19 21 22 24");
invent::newSellItemsFirst (base, 15, "11 13 15 17 19 21 22 24");
invent::newSellItemsFirst (base, 17, "11 13 15 17 19 21 22 24");
invent::newSellItemsFirst (base, 19, "11 13 15 17 19 21 22 24");
invent::newSellItemsFirst (base, 21, "11 13 15 17 19 21 22 24");
invent::newSellItemsFirst (base, 22, "11 13 15 17 19 21 22 24");
invent::newSellItemsFirst (base, 24, "11 13 15 17 19 21 22 24");

invent::setMountOnZoom (base, 22);
invent::setReverseFireWeapon (base, 22);

invent::newIsArmour (base, 2);
invent::newIsArmour (base, 3);
invent::newIsArmour (base, 4);

//NOTE: These must be set in the correct order ie lowest first, highest last
invent::associateWith (base, 0, "Flag", "", "");
invent::associateWith (base, 1, "Race Flag", "", "");
invent::associateWith (base, 2, "Light Armor", "", "");
invent::associateWith (base, 3, "Medium Armor", "", "");
invent::associateWith (base, 4, "Heavy Armor", "", "");
invent::associateWith (base, 5, "Scout", "", "");
invent::associateWith (base, 6, "LPC", "", "");
invent::associateWith (base, 7, "HPC", "", "");
invent::associateWith (base, 8, "Weapon", "", "");
invent::associateWith (base, 9, "Tool", "", "");
invent::associateWith (base, 10, "Ammo", "", "");

invent::associateWith (base, 11, "Blaster", useBlasterPressed, useBlasterReleased);
invent::associateWith (base, 12, "Bullet", "", "");
invent::associateWith (base, 13, "Chaingun", useChaingunPressed, useChaingunReleased);
invent::associateWith (base, 14, "Plasma Bolt", "", "");
invent::associateWith (base, 15, "Plasma Gun", usePlasmaGunPressed, usePlasmaGunReleased);
invent::associateWith (base, 16, "Grenade Ammo", "", "");
invent::associateWith (base, 17, "Grenade Launcher", useGrenadeLauncherPressed, useGrenadeLauncherReleased);
invent::associateWith (base, 18, "Mortar Ammo", "", "");
invent::associateWith (base, 19, "Mortar", useMortarPressed, useMortarReleased);
invent::associateWith (base, 20, "Disc", "", "");
invent::associateWith (base, 21, "Disc Launcher", useDiscLauncherPressed, useDiscLauncherReleased);
invent::associateWith (base, 22, "Laser Rifle", useLaserRiflePressed, useLaserRifleReleased);
invent::associateWith (base, 23, "Targeting Laser", useTargetingLaserPressed, useTargetingLaserReleased);
invent::associateWith (base, 24, "ELF Gun", useELFGunPressed, useELFGunReleased);
invent::associateWith (base, 25, "Repair Gun", "", "");
invent::associateWith (base, 26, "Backpack", "", "");
invent::associateWith (base, 27, "Inventory Station", "", "");
invent::associateWith (base, 28, "Ammo Station", "", "");
invent::associateWith (base, 29, "Energy Pack", "", "");
invent::associateWith (base, 30, "Repair Pack", "", "");
invent::associateWith (base, 31, "Shield Pack", "", "");
invent::associateWith (base, 32, "Sensor Jammer Pack", "", "");
invent::associateWith (base, 33, "Motion Sensor", "", "");
invent::associateWith (base, 34, "Ammo Pack", "", "");
invent::associateWith (base, 35, "Pulse Sensor", "", "");
invent::associateWith (base, 36, "Sensor Jammer", "", "");
invent::associateWith (base, 37, "Camera", "", "");
invent::associateWith (base, 38, "Turret", "", "");
invent::associateWith (base, 39, "Repair Kit", "", "");
invent::associateWith (base, 40, "Mine", "", "");
invent::associateWith (base, 41, "Grenade", "", "");
invent::associateWith (base, 42, "Beacon", "", "");
invent::associateWith (base, 43, "Repair Patch", "", "");
